package com.steering.pss.sale.price.entity;

/**
 * 数据库表SLM_PRICE_ADDPRICE_SUIT所对应的实体类（生成工具：代码生成器3.0）
 * @author JK-KF-WUHJ   date 2016-06-27
 */
@SuppressWarnings("serial")
public class SlmPriceAddpriceSuitEntity implements java.io.Serializable {
    /**
     * 适用ID
     */
    private String priceaddSuitId = "";
    /**
     * 适用项目
     */
    private String priceaddSuitItem = "";
    /**
     * 适用值集合
     */
    private String priceaddSuitValues = "";
    /**
     * 是否有效
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";

    /**
     * 适用ID
     * @return value
     */
    public String getPriceaddSuitId() {
        return priceaddSuitId;
    }

    /**
     * 适用ID
     * @param priceaddSuitId value
     */
    public void setPriceaddSuitId(String priceaddSuitId) {
        this.priceaddSuitId = priceaddSuitId;
    }

    /**
     * 适用项目
     * @return value
     */
    public String getPriceaddSuitItem() {
        return priceaddSuitItem;
    }

    /**
     * 适用项目
     * @param priceaddSuitItem value
     */
    public void setPriceaddSuitItem(String priceaddSuitItem) {
        this.priceaddSuitItem = priceaddSuitItem;
    }

    /**
     * 适用值集合
     * @return value
     */
    public String getPriceaddSuitValues() {
        return priceaddSuitValues;
    }

    /**
     * 适用值集合
     * @param priceaddSuitValues value
     */
    public void setPriceaddSuitValues(String priceaddSuitValues) {
        this.priceaddSuitValues = priceaddSuitValues;
    }

    /**
     * 是否有效
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 是否有效
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
